Cubic removes the minimal install manifest in 18.04 making minimal install impossible

Bug #1769185 reported by Patrick M. Womack on 2018-05-04
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Cubic
Low
Cubic PPA
Classic-development
Low
Cubic PPA
Release-2018-07-34
Undecided
Unassigned

Bug Description

I believe this occurs because cubic writes its own manifest, but it should leave the minimal manifest alone or import it from the stock image.

Patrick M. Womack (ipat8) wrote :
Cubic PPA (cubic-wizard) wrote :

Patrick,

Thanks for the bug report.

This is planned...

https://blueprints.launchpad.net/cubic/+spec/add-minimal-install-option

Changed in cubic:
status: New → Confirmed
importance: Undecided → Low
assignee: nobody → Cubic PPA (cubic-wizard)
Cubic PPA (cubic-wizard) wrote :

If anyone is interested in testing the fix for this bug, you can install the *Development* version of Cubic...

    # Remove Cubic
    $ sudo apt autoremove --purge cubic

    # Remove the *Release* repository
    $ sudo apt-add-repository --remove ppa:cubic-wizard/release

    # Add the *Development* repository
    $ sudo add-apt-repository ppa:cubic-wizard/development

    # Install the *Development* version of Cubic
    $ sudo apt update
    $ sudo apt install cubic

If you find any issues, please add comments to this bug.

bluekeys (mattzab) wrote :

I tried installing and running, I'm finding bugs.

$ cubic

Cubic (Custom Ubuntu ISO Creator) is a graphical user interface application and should be run using the application launcher. See "man cubic" for more information.

==== AUTHENTICATING FOR cubic ===
Enter superuser password to start Cubic
Authenticating as: matt
Password:
polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
==== AUTHENTICATION FAILED ===
Error executing command as another user: Not authorized

This incident has been reported.

Cubic PPA (cubic-wizard) wrote :

@blukeys,

Thanks for this info.
Which flavor and version did you install Cubic on?
Also, which ISO are you trying to customize?

bluekeys (mattzab) wrote :

@cubic-wizard,

Sorry, I wasn't very clear with my report.

I installed Cubic on a 16.04 chroot environment set up in a ChromeBook. That's a pretty unsupported environment, I know. ;) But the error only occurs when I try to run the development version, as release runs no problem on here.

I've yet to successfully build anything with Cubic, as the ISO I was hoping to customize is the 64mb mini.iso, sometimes called the netinstall. That doesn't have a compressed filesystem, so I don't suppose I'll be doing that.

Hope that helps some.

bluekeys (mattzab) wrote :

Well, release used to run. It also broke when I switched to development, per your instructions above. Same issue. Any suggestions on a fix?

Thanks.

Cubic PPA (cubic-wizard) wrote :

bluekeys,

You should not be prompted on the ~command-line~ to enter your sudo password.

Instead, you should get a ~graphical dialog~ that asks for your sudo password.

This functionality is enabled by PolicyKit.

Make sure you have PolicyKit packages installed, and make sure you have packages that support GUI GTK applications installed.

Cubic PPA (cubic-wizard) wrote :

Fixed in release 2018.06-29.

Added a feature to Cubic to allow modifying the manifest for minimal installs (if available in the original ISO, only).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers